## NMSettingSerial NMSettingSerial — Describes connection properties for devices that use serial communications |

## Functions

NMSetting * | nm_setting_serial_new ()
guint | nm_setting_serial_get_baud ()
guint | nm_setting_serial_get_bits ()
NMSettingSerialParity | nm_setting_serial_get_parity ()
guint | nm_setting_serial_get_stopbits ()
guint64 | nm_setting_serial_get_send_delay ()

## Types and Values

#define | NM_SETTING_SERIAL_SETTING_NAME
enum | NMSettingSerialParity
#define | NM_SETTING_SERIAL_BAUD
#define | NM_SETTING_SERIAL_BITS
#define | NM_SETTING_SERIAL_PARITY
#define | NM_SETTING_SERIAL_STOPBITS
#define | NM_SETTING_SERIAL_SEND_DELAY

## Object Hierarchy

        GEnum
        ╰── NMSettingSerialParity

## Description

The NMSettingSerial object is a NMSetting subclass that describes properties necessary for connections that may use serial communications, such as mobile broadband or analog telephone connections.

## Functions

### nm_setting_serial_new ()

    NMSetting *
    nm_setting_serial_new (void);

Creates a new NMSettingSerial object with default values.

#### Returns

the new empty NMSettingSerial object.

[transfer full]

### nm_setting_serial_get_baud ()

    guint
    nm_setting_serial_get_baud (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “baud” property of the setting

### nm_setting_serial_get_bits ()

    guint
    nm_setting_serial_get_bits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “bits” property of the setting

### nm_setting_serial_get_parity ()

    NMSettingSerialParity
    nm_setting_serial_get_parity (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “parity” property of the setting

### nm_setting_serial_get_stopbits ()

    guint
    nm_setting_serial_get_stopbits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “stopbits” property of the setting

### nm_setting_serial_get_send_delay ()

    guint64
    nm_setting_serial_get_send_delay (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “send-delay” property of the setting

## Types and Values

### NM_SETTING_SERIAL_SETTING_NAME

    #define NM_SETTING_SERIAL_SETTING_NAME "serial"

### enum NMSettingSerialParity

The parity setting of a serial port.

#### Members

NM_SETTING_SERIAL_PARITY_NONE | No parity bits (default) |
NM_SETTING_SERIAL_PARITY_EVEN | Even parity |
NM_SETTING_SERIAL_PARITY_ODD | Odd parity |

### NM_SETTING_SERIAL_BAUD

    #define NM_SETTING_SERIAL_BAUD       "baud"

### NM_SETTING_SERIAL_BITS

    #define NM_SETTING_SERIAL_BITS       "bits"

### NM_SETTING_SERIAL_PARITY

    #define NM_SETTING_SERIAL_PARITY     "parity"

### NM_SETTING_SERIAL_STOPBITS

    #define NM_SETTING_SERIAL_STOPBITS   "stopbits"

### NM_SETTING_SERIAL_SEND_DELAY

    #define NM_SETTING_SERIAL_SEND_DELAY "send-delay"